Update an owned draft post.
curl --request PUT \
--url https://api.nebyoulous.space/posts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"targetName": "<string>",
"captureDate": "2023-11-07T05:31:56Z",
"bortle": 5,
"integrationSetIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
slug: '<string>',
description: '<string>',
targetName: '<string>',
captureDate: '2023-11-07T05:31:56Z',
bortle: 5,
integrationSetIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.nebyoulous.space/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/posts/{id}"
payload = {
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"targetName": "<string>",
"captureDate": "2023-11-07T05:31:56Z",
"bortle": 5,
"integrationSetIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"post": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"status": "DRAFT",
"targetName": "<string>",
"targetType": "GALAXY",
"captureDate": "<string>",
"bortle": 0,
"finalImageAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finalThumbAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"finalImageAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"finalThumbAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Posts
Update an owned draft post.
PUT
/
posts
/
{id}
Update an owned draft post.
curl --request PUT \
--url https://api.nebyoulous.space/posts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"targetName": "<string>",
"captureDate": "2023-11-07T05:31:56Z",
"bortle": 5,
"integrationSetIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
slug: '<string>',
description: '<string>',
targetName: '<string>',
captureDate: '2023-11-07T05:31:56Z',
bortle: 5,
integrationSetIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.nebyoulous.space/posts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/posts/{id}"
payload = {
"title": "<string>",
"slug": "<string>",
"description": "<string>",
"targetName": "<string>",
"captureDate": "2023-11-07T05:31:56Z",
"bortle": 5,
"integrationSetIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"post": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"status": "DRAFT",
"targetName": "<string>",
"targetType": "GALAXY",
"captureDate": "<string>",
"bortle": 0,
"finalImageAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finalThumbAssetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publishedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"finalImageAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"finalThumbAsset": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integrationSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"postId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "INTEGRATION",
"relativePath": "<string>",
"filename": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"s3Key": "<string>",
"status": "PRESIGNED",
"checksum": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Required string length:
1 - 500Required string length:
1 - 200Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Maximum string length:
12000Maximum string length:
255Available options:
GALAXY, NEBULA, STAR_CLUSTER, PLANETARY_NEBULA, OTHER Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Required range:
1 <= x <= 9Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Default Response
Show child attributes
Show child attributes